Update store extension details
Update details for a store extension
Required permissions: EXTENSION
put/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeExtensionUidstringRequiredPattern:
Reference to a store extension.
^[A-Za-z0-9-_]+Body
activebooleanRequired
Activate/Deactivate the extension on the store
Responses
200
Example response
application/json
StoreExtensionResponseSchema
storeExtensionUidstringRequiredPattern:
^[A-Za-z0-9-_]+activebooleanRequired
statusMessagesstring[]Required
put/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 65
{
"active": true,
"storeParameters": [
{
"key": "text",
"value": "text"
}
]
}200
Example response
{
"storeExtensionUid": "text",
"active": true,
"storeParameters": [
{
"key": "text",
"value": "text",
"type": "STRING",
"allowedValues": [
"text"
],
"validationRegex": "text",
"name": "text",
"required": true
}
],
"tenantExtension": {
"extensionCode": "FLOWGIFTCARD",
"active": true,
"tenantExtensionUid": "text",
"name": "text"
},
"statusMessages": [
"text"
],
"capabilities": [
"VALIDATE_CREDENTIALS"
]
}Last updated
Was this helpful?

